io.vertx.ext.json.schema.common.dsl

## Class Keywords

- java.lang.Object
- - io.vertx.ext.json.schema.common.dsl.Keywords

- Direct Known Subclasses:
    Keywords

      public class Keywords
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Keywords()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ArrayKeyword` | `maxItems(int maxItems)`
    `static StringKeyword` | `maxLength(int maxLength)`
    `static ObjectKeyword` | `maxProperties(int maxProperties)`
    `static ArrayKeyword` | `minItems(int minItems)`
    `static StringKeyword` | `minLength(int minLength)`
    `static ObjectKeyword` | `minProperties(int minProperties)`
    `static NumberKeyword` | `multipleOf(double multipleOf)`
    `static StringKeyword` | `pattern(Pattern pattern)`
    `static Keyword` | `type(SchemaType... types)`
    `static ArrayKeyword` | `uniqueItems()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Keywords

          public Keywords()

  - ### Method Detail

    - #### type

          public static Keyword type(SchemaType... types)

    - #### multipleOf

          public static NumberKeyword multipleOf(double multipleOf)

    - #### maxLength

          public static StringKeyword maxLength(int maxLength)

    - #### minLength

          public static StringKeyword minLength(int minLength)

    - #### pattern

          public static StringKeyword pattern(Pattern pattern)

    - #### maxItems

          public static ArrayKeyword maxItems(int maxItems)

    - #### minItems

          public static ArrayKeyword minItems(int minItems)

    - #### uniqueItems

          public static ArrayKeyword uniqueItems()

    - #### maxProperties

          public static ObjectKeyword maxProperties(int maxProperties)

    - #### minProperties

          public static ObjectKeyword minProperties(int minProperties)

Copyright © 2020 Eclipse. All rights reserved.